#!/usr/bin/php
<?php                                       # -*- mode: PHP -*-
#
# Sample program for generating data that mimics that output by
#   an automatic rain gauge.
# The output value starts from 0 and is randomly
#   increased by 0, 1 or 2 periodically.
# The output is always in the ranges of [0.255].
#
# Written by YIP Chi Lap [Beta] clyip@cs.hku.hk
# As demonstration code for Rain Gauge Design Competition
#
# 2006-04-01[6] Version 1.0
# * First release
#
$val=0;
for ($r=0;;++$r) {
  echo "$val\n";
  $delta=$r%2==0?rand(0,2):0;
  $val=$val+$delta;
  if ($val<0) {
    $val=0;
  } elseif ($val>255) {
    $val=255;
  }
  usleep(200000);  
}
?>
